package identity_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type IdentityAuthFacecompareRequest struct {
	// <ext>core:true</ext> 【用户唯一标识】用户唯一标识 【作用】 查询需核验身份的用户
	BizId string `json:"bizId"`
	// <ext>core:true;format:pure-base64</ext> 【人脸图片】人脸图片 【作用】 验证图片中的人脸与传入的用户唯一标识绑定的真实用户是否为同一人 【传参】 1、base64格式。 2、图片小于10M。 3、jpg/png/jpeg/bmp类型图片。
	Image string `json:"image"`
}

func (obj IdentityAuthFacecompareRequest) GetUrl() string {
	return "/identity/auth/faceCompare"
}

func (obj IdentityAuthFacecompareRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
